drop table if exists newsletter_users cascade;
create table newsletter_users(
	newsletter_user_id serial,
	nu_name varchar(128),
	nu_email varchar(255),
	nu_hash char(32) not null,
	nu_parameters text,

	constraint newsletter_users_newsletter_user_id_pkey primary key (newsletter_user_id)
);

comment on table newsletter_users is 'storage of newsletter_users';
comment on column newsletter_users.newsletter_user_id is 'unique id of newsletter users';
comment on column newsletter_users.nu_name is 'name of the newsletter user';
comment on column newsletter_users.nu_email is 'email of newsletter user';
comment on column newsletter_users.nu_hash is 'hash of newsletter user';
comment on column newsletter_users.nu_parameters is 'optional serialized parameters from php';
